> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Fee Config by Slug

> Returns the taker fee configuration for a Polymarket event identified by its slug. Uses the legacy fee formula: `fee = feeRate × p^exponent`.



## OpenAPI

````yaml GET /api/v1/fees/event/slug/{eventSlug}
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/fees/event/slug/{eventSlug}:
    get:
      tags:
        - Fees (Legacy)
      summary: Fee config by event slug (legacy)
      description: >-
        Returns the taker fee configuration for a Polymarket event identified by
        its slug. Uses the legacy fee formula: `fee = feeRate × p^exponent`.
      operationId: getFeesEventBySlug
      parameters:
        - name: eventSlug
          in: path
          required: true
          schema:
            type: string
            example: btc-updown-5m-1744027500
      responses:
        '200':
          description: Fee configuration
          content:
            application/json:
              example:
                hasTakerFees: true
                type: crypto
                feeRate: 0.25
                exponent: 2
                makerRebate: 20%
                matchedByTag: 5m
        '400':
          description: Missing eventSlug
        '502':
          description: Gamma API unavailable

````